org.apache.commons.collections4

## Interface IterableMap<K,V>

- Type Parameters:
    `K` - the type of the keys in this map
    `V` - the type of the values in this map
  All Superinterfaces:
    Get<K,V>, IterableGet<K,V>, Map<K,V>, Put<K,V>
  All Known Subinterfaces:
    BidiMap<K,V>, BoundedMap<K,V>, IterableSortedMap<K,V>, MultiMap<K,V>, OrderedBidiMap<K,V>, OrderedMap<K,V>, SortedBidiMap<K,V>, Trie<K,V>
  All Known Implementing Classes:
    AbstractBidiMapDecorator, AbstractBitwiseTrie, AbstractDualBidiMap, AbstractHashedMap, AbstractIterableMap, AbstractLinkedMap, AbstractMapDecorator, AbstractOrderedBidiMapDecorator, AbstractOrderedMapDecorator, AbstractReferenceMap, AbstractSortedBidiMapDecorator, AbstractSortedMapDecorator, CaseInsensitiveMap, CompositeMap, DefaultedMap, DualHashBidiMap, DualLinkedHashBidiMap, DualTreeBidiMap, DualTreeBidiMap.ViewMap, FixedSizeMap, FixedSizeSortedMap, Flat3Map, HashedMap, LazyMap, LazySortedMap, LinkedMap, ListOrderedMap, LRUMap, MultiKeyMap, MultiValueMap, PassiveExpiringMap, PatriciaTrie, PredicatedMap, PredicatedSortedMap, ReferenceIdentityMap, ReferenceMap, SingletonMap, StaticBucketMap, TransformedMap, TransformedSortedMap, TreeBidiMap, UnmodifiableBidiMap, UnmodifiableMap, UnmodifiableOrderedBidiMap, UnmodifiableOrderedMap, UnmodifiableSortedBidiMap, UnmodifiableSortedMap, UnmodifiableTrie

      public interface IterableMap<K,V>
      extends Map<K,V>, Put<K,V>, IterableGet<K,V>

  Defines a map that can be iterated directly without needing to create an entry set.

  A map iterator is an efficient way of iterating over maps. There is no need to access the entry set or use Map Entry objects.

       IterableMap<String,Integer> map = new HashedMap<String,Integer>();
       MapIterator<String,Integer> it = map.mapIterator();
       while (it.hasNext()) {
         String key = it.next();
         Integer value = it.getValue();
         it.setValue(value + 1);
       }

  Since:
    3.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Method Summary

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from interface org.apache.commons.collections4.Put

      `clear, put, putAll`

    - ### Methods inherited from interface org.apache.commons.collections4.IterableGet

      `mapIterator`

    - ### Methods inherited from interface org.apache.commons.collections4.Get

      `containsKey, containsValue, entrySet, get, isEmpty, keySet, remove, size, values`

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.